Dim qtApp 'As QuickTest.Application
Dim blnNeedChangeAddins
Dim arrTestAddins
Dim out, err
Dim testPath
Dim results

Set out = WScript.stdout
Set err = WScript.stderr

If WScript.Arguments.count < 1 Then
    out.writeline "You must pecify the test path you wish to run."
    out.writeline "Aborting..."
    WScript.Quit
End If

testPath = WScript.Arguments(0)

Set qtApp = CreateObject("QuickTest.Application") 

If qtApp.Launched then
    out.writeline "The QTP client is currently running. You must exit and wait for the process to end before running a scripted test."
    WScript.Quit
End If

arrTestAddins = qtApp.GetAssociatedAddinsForTest(testPath)

' Check if all required add-ins are all already loaded
blnNeedChangeAddins = False
For Each testAddin In arrTestAddins
    If qtApp.Addins(testAddin).Status <> "Active" Then
        blnNeedChangeAddins = True
        Exit For ' Exit the loop
    End If
Next

If qtApp.Launched And blnNeedChangeAddins Then
        qtApp.Quit
End If

If blnNeedChangeAddins Then
    Dim blnActivateOK
    blnActivateOK = qtApp.SetActiveAddins(arrTestAddins, errorDescription)
    If Not blnActivateOK Then
        MsgBox errorDescription
    WScript.Quit
    End If
End If

If Not qtApp.Launched Then 
    qtApp.Launch 
End If
qtApp.Visible = True

qtApp.Open testPath 

Dim qtTest

Set qtTest = qtApp.Test

Set qtResultsOpt = CreateObject("QuickTest.RunResultsOptions") ' Create the Run Results Options object
qtResultsOpt.ResultsLocation = "<NewLocation>" ' Set the results location

qtTest.Run qtResultsOpt

Dim output

output = "<QTPTestOutput>" & vbCr

results = qtTest.LastRunResults.LastError
If len(results) <> 0 Then
    output = output & vbTab & "<LastError>" & results & "</LastError>" & vbCr
End if

results = qtTest.LastRunResults.Status
If len(results) <> 0 Then
    output = output & vbTab & "<ResultStatus>" & results & "</ResultStatus>" & vbCr
End if

results = qtTest.LastRunResults.Path
If len(results) <> 0 Then
    output = output & vbTab & "<ResultPath>" & results & "</ResultPath>" & vbCr
End if

output = output & "</QTPTestOutput>" & vbCr

out.write output

qtApp.Quit

Set qtTest = Nothing

Set qtApp = Nothing

WScript.Quit 

